Subject: bug#6908: 24.0.50; RMAIL sending fails in some case

From: Eli Zaretskii <[email-masked]>
Date: Wed, 25 Aug 2010 09:21:56 -0400

> Date: Wed, 25 Aug 2010 13:25:08 +0100
> From: john ffitch <[email-masked]>
> Cc: 
> 
> If I use r to reply to this References get appended to the To field
> and mangled.  If I copy the References to after the Subject it works.

I cannot reproduce this with Emacs built 3 days ago (which is 2 days
after you built yours).  Does this happen to you in "emacs -Q"?

If you can reproduce this in "emacs -Q", please show a message that
consistently causes you this problem.  The one you posted with the
original report already has Message-ID: _after_ the Subject, and does
not have any References header.  So I'm unsure whether the message you
posted does indeed cause this problem.